Package org.eclipse.lemminx.extensions.relaxng.jing

## Class RelaxNGDescription

- java.lang.Object
- - org.apache.xerces.util.XMLResourceIdentifierImpl
  - - org.eclipse.lemminx.extensions.relaxng.jing.RelaxNGDescription

All Implemented Interfaces:
  `org.apache.xerces.xni.grammars.XMLGrammarDescription`, `org.apache.xerces.xni.XMLResourceIdentifier`

    public class RelaxNGDescription
    extends org.apache.xerces.util.XMLResourceIdentifierImpl
    implements org.apache.xerces.xni.grammars.XMLGrammarDescription

All information specific to RelaxNG grammars.

Author:
  Angelo ZERR

### Field Summary

### Fields inherited from class org.apache.xerces.util.XMLResourceIdentifierImpl

`fBaseSystemId, fExpandedSystemId, fLiteralSystemId, fNamespace, fPublicId`

### Fields inherited from interface org.apache.xerces.xni.grammars.XMLGrammarDescription

`XML_DTD, XML_SCHEMA`

### Constructor Summary

Constructors
`RelaxNGDescription​(String systemId, String baseSystemId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getGrammarType()`

### Methods inherited from class org.apache.xerces.util.XMLResourceIdentifierImpl

`clear, getBaseSystemId, getExpandedSystemId, getLiteralSystemId, getNamespace, getPublicId, hashCode, setBaseSystemId, setExpandedSystemId, setLiteralSystemId, setNamespace, setPublicId, setValues, setValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.xerces.xni.XMLResourceIdentifier

`getBaseSystemId, getExpandedSystemId, getLiteralSystemId, getNamespace, getPublicId, setBaseSystemId, setExpandedSystemId, setLiteralSystemId, setNamespace, setPublicId`

### Constructor Detail

#### RelaxNGDescription

    public RelaxNGDescription​(String systemId,
                              String baseSystemId)

### Method Detail

#### getGrammarType

    public String getGrammarType()

Specified by:
  `getGrammarType` in interface `org.apache.xerces.xni.grammars.XMLGrammarDescription`